<!DOCTYPE html>
<html  >
<head>
  <!-- Site made with Mobirise Website Builder v4.11.4, https://mobirise.com -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="generator" content="Mobirise v4.11.4, mobirise.com">
  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1">
  <link rel="shortcut icon" href="assets/images/signature-1-122x180.png" type="image/x-icon">
  <meta name="description" content="Web Builder Description">
  
  <title>Fab Academy 12</title>
  <link rel="stylesheet" href="assets/web/assets/mobirise-icons2/mobirise2.css">
  <link rel="stylesheet" href="assets/web/assets/mobirise-icons/mobirise-icons.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap-grid.min.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap-reboot.min.css">
  <link rel="stylesheet" href="assets/dropdown/css/style.css">
  <link rel="stylesheet" href="assets/tether/tether.min.css">
  <link rel="stylesheet" href="assets/animatecss/animate.min.css">
  <link rel="stylesheet" href="assets/socicon/css/styles.css">
  <link rel="stylesheet" href="assets/theme/css/style.css">
  <link rel="preload" as="style" href="assets/mobirise/css/mbr-additional.css"><link rel="stylesheet" href="assets/mobirise/css/mbr-additional.css" type="text/css">
  
  
  
</head>
<body>
  <section class="menu cid-rYcrpCax9A" once="menu" id="menu1-nv">

    

    <nav class="navbar navbar-expand beta-menu navbar-dropdown align-items-center navbar-fixed-top collapsed bg-color transparent">
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <div class="hamburger">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
        </button>
        <div class="menu-logo">
            <div class="navbar-brand">
                <span class="navbar-logo">
                    <a href="index.html">
                         <img src="assets/images/signature-1-122x180.png" alt="Mobirise" title="" style="height: 3.8rem;">
                    </a>
                </span>
                <span class="navbar-caption-wrap"><a class="navbar-caption text-white display-4" href="index.html">VOLTIO</a></span>
            </div>
        </div>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav nav-dropdown nav-right" data-app-modern-menu="true"><li class="nav-item dropdown"><a class="nav-link link text-primary dropdown-toggle display-4" href="https://mobirise.co" data-toggle="dropdown-submenu" aria-expanded="false"><span class="mobi-mbri mobi-mbri-quote-left mbr-iconfont mbr-iconfont-btn"></span>
                        TERM 1</a><div class="dropdown-menu"><a class="text-primary dropdown-item display-4" href="page3.html" aria-expanded="false"></a><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page5.html" aria-expanded="false" data-toggle="dropdown-submenu">W01 - MDEF Bootcamp<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page2.html" aria-expanded="false">My Role As Designer</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page6.html" aria-expanded="false" data-toggle="dropdown-submenu">W02 - Atlas of Weak Signals<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page4.html" aria-expanded="false">Reflection</a><a class="text-primary dropdown-item display-4" href="page3.html" aria-expanded="false">DS - Role of Prototypes</a><a class="text-primary dropdown-item display-4" href="page6.html" aria-expanded="false">Ernesto Oroza Lecture</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page7.html" aria-expanded="false" data-toggle="dropdown-submenu">W03 - Narrating Emergent Futures<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page7.html" aria-expanded="false">Reflection &nbsp;/ Work<br></a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page8.html" aria-expanded="false" data-toggle="dropdown-submenu">W04 - Unpacking Intelligent Machines<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page8.html" aria-expanded="false">Reflection / Video</a><a class="text-primary dropdown-item display-4" href="https://pablozuloaga.gitlab.io/pablo.zuloaga/ForensicReportHPPrinterScanner.html" aria-expanded="false">Forensic Report</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page8.html" aria-expanded="false" data-toggle="dropdown-submenu">W05 - Biology Zero<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page10.html" aria-expanded="false">Reflection</a><a class="text-primary dropdown-item display-4" href="page9.html" aria-expanded="false">Scientific Hypothesis</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page9.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W06 - Living with your own Ideas<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page11.html" aria-expanded="false" target="_blank">Reflection / Work</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page9.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W07 - The Post-Technological Futures of Everything<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page12.html" aria-expanded="false" target="_blank">Reflection / Work</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page9.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W08 - The Almost Useful Machines<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page13.html" aria-expanded="false" target="_blank">Reflection / Work</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page14.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W09 - Emergent Economies<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page14.html" aria-expanded="false" target="_blank">Reflection</a><a class="text-primary dropdown-item display-4" href="page15.html" aria-expanded="false" target="_blank">Life and Taxes</a><a class="text-primary dropdown-item display-4" href="https://pablozuloaga.gitlab.io/pablo.zuloaga/LaundryCoffee.html" aria-expanded="false" target="_blank">Laundry Coffee Business Plan</a><a class="text-primary dropdown-item display-4" href="page20.html" aria-expanded="false" target="_blank">Crypto/Blockchain Ideas<br></a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page14.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W10 - Designing with Collective Intelligence<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page16.html" aria-expanded="false" target="_blank">Reflection</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page14.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W11 - Exploring Hybrid Profiles in Design<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page17.html" aria-expanded="false" target="_blank">Reflection</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page14.html" aria-expanded="false" target="_blank" data-toggle="dropdown-submenu">W12 - Design Dialogues<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page18.html" aria-expanded="false" target="_blank">Design Space Essay / Video</a><a class="text-primary dropdown-item display-4" href="page19.html" aria-expanded="false" target="_blank">DS. Self development plan</a></div></div></div></li><li class="nav-item dropdown"><a class="nav-link link text-primary dropdown-toggle display-4" href="https://mobirise.co" data-toggle="dropdown-submenu" aria-expanded="false"><span class="mobi-mbri mobi-mbri-change-style mbr-iconfont mbr-iconfont-btn"></span>
                        TERM 2</a><div class="dropdown-menu"><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page21.html" data-toggle="dropdown-submenu" aria-expanded="false"><strong>DESIGN STUDIO</strong><br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page27.html">Design Dialogues Main</a><a class="text-primary dropdown-item display-4" href="page28.html">1st Speculative Scenario</a><a class="text-primary dropdown-item display-4" href="page31.html">1st Intervention</a><a class="text-primary dropdown-item display-4" href="page30.html">2nd Speculative Scenario</a><a class="text-primary dropdown-item display-4" href="page33.html">2nd Intervention</a><a class="text-primary dropdown-item display-4" href="page32.html">3rd Speculative Scenario<br></a><a class="text-primary dropdown-item display-4" href="page34.html">3rd Intervention<br></a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="https://mobirise.co" aria-expanded="false" data-toggle="dropdown-submenu">ATLAS OF WEAK SIGNALS<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page41.html" aria-expanded="false">1 - Design for the Anthropocene</a><a class="text-primary dropdown-item display-4" href="page42.html" aria-expanded="false">2 - Life in the times of Surveillance Capitalism</a><a class="text-primary dropdown-item display-4" href="page43.html" aria-expanded="false">3 - Life After AI and the End of Work</a><a class="text-primary dropdown-item display-4" href="page44.html" aria-expanded="false">4 - After The Nation State</a></div></div><a class="text-primary dropdown-item display-4" href="page21.html" aria-expanded="false">DESIGN ETHICS</a><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="https://mobirise.co" aria-expanded="false" data-toggle="dropdown-submenu">CUBA RESEARCH PROJECT</a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="https://gitlab.com/link-journal/link-x-mdef/-/blob/master/README.md" aria-expanded="false" target="_blank">Main Page</a><a class="text-primary dropdown-item display-4" href="https://pablozuloaga.gitlab.io/pablo.zuloaga/_pablo-zuloaga/2020-03-29-Health-Zuloaga-Pablo.md" aria-expanded="false" target="_blank">Simulation of Life DOCUMENT</a><a class="text-primary dropdown-item display-4" href="https://pablozuloaga.gitlab.io/pablo.zuloaga/_pablo-zuloaga/Simulated Life LQ.pptx" aria-expanded="false" target="_blank">Simulation of Life PRESENTATION</a></div></div></div></li><li class="nav-item dropdown">
                    <a class="nav-link link text-primary dropdown-toggle display-4" href="page21.html" aria-expanded="false" data-toggle="dropdown-submenu"><span class="mobi-mbri mobi-mbri-magic-stick mbr-iconfont mbr-iconfont-btn"></span>
                        TERM 3</a><div class="dropdown-menu"><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page21.html" aria-expanded="false" data-toggle="dropdown-submenu">DESIGN STUDIO</a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page47.html" aria-expanded="false">1 - My New Me</a><a class="text-primary dropdown-item display-4" href="page53.html" aria-expanded="false">2 - Mapping my domestic experimental laboratory</a><a class="text-primary dropdown-item display-4" href="page54.html" aria-expanded="false">3 -&nbsp;Experimenting with my project in emergent contexts</a><a class="text-primary dropdown-item display-4" href="page55.html" aria-expanded="false">4 -&nbsp;Creating your own biography and constituency</a><a class="text-primary dropdown-item display-4" href="page59.html" aria-expanded="false">4 -&nbsp;Finding New Weak signals</a><a class="text-primary dropdown-item display-4" href="page56.html" aria-expanded="false">6 - Emergent Narratives</a><a class="text-primary dropdown-item display-4" href="page57.html" aria-expanded="false">7 -&nbsp;Spreading and Scaling mi interventions</a><a class="text-primary dropdown-item display-4" href="page60.html" aria-expanded="false">8 -&nbsp;Final Reflection</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page21.html" aria-expanded="false" data-toggle="dropdown-submenu">DESIGN DIALOGUES<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page58.html" aria-expanded="false">Final Reflection</a></div></div><div class="dropdown"><a class="text-primary dropdown-item dropdown-toggle display-4" href="page21.html" aria-expanded="false" data-toggle="dropdown-submenu">CURATING MY NEW NORMAL<br></a><div class="dropdown-menu dropdown-submenu"><a class="text-primary dropdown-item display-4" href="page61.html" aria-expanded="false">Final Reflection</a></div></div></div>
                </li><li class="nav-item dropdown open"><a class="nav-link link text-primary dropdown-toggle display-4" href="page48.html" aria-expanded="true" data-toggle="dropdown-submenu"><span class="mobi-mbri mobi-mbri-rocket mbr-iconfont mbr-iconfont-btn"></span>FAB ACADEMY</a><div class="dropdown-menu"><a class="text-primary dropdown-item display-4" href="page48.html" aria-expanded="false">Fab Academy Main</a><a class="text-primary dropdown-item display-4" href="page22.html" aria-expanded="false">FA 1 - Project Managment</a><a class="text-primary dropdown-item display-4" href="page23.html" aria-expanded="false">FA 2 - Computer Aided Design</a><a class="text-primary dropdown-item display-4" href="page24.html" aria-expanded="false">FA 3 - Computer-Controlled Cutting</a><a class="text-primary dropdown-item display-4" href="page25.html" aria-expanded="false">FA 4 - Electronic Production</a><a class="text-primary dropdown-item display-4" href="page26.html" aria-expanded="false">FA 5 - 3D Printing</a><a class="text-primary dropdown-item display-4" href="page35.html" aria-expanded="false">FA 6 - Electronic Design</a><a class="text-primary dropdown-item display-4" href="page36.html" aria-expanded="false">FA 7 - Machine Controlled Cutting</a><a class="text-primary dropdown-item display-4" href="page37.html" aria-expanded="false">FA 8 - Embeded Programing</a><a class="text-primary dropdown-item display-4" href="page38.html" aria-expanded="false">FA 9 - Input Devices</a><a class="text-primary dropdown-item display-4" href="page39.html" aria-expanded="false">FA 10 - Applications / Implications</a><a class="text-primary dropdown-item display-4" href="page40.html" aria-expanded="false">FA11 - Output Devices</a><a class="text-primary dropdown-item display-4" href="page45.html" aria-expanded="false">FA12 - Interfacing</a><a class="text-primary dropdown-item display-4" href="page46.html" aria-expanded="false">FA13 - Invention, Intellectual Property and Income</a><a class="text-primary dropdown-item display-4" href="page49.html" aria-expanded="false">FA14 - Embeded Networking and Communications</a><a class="text-primary dropdown-item display-4" href="page21.html" aria-expanded="false">Week 15 - 3D Molding and Casting</a><a class="text-primary dropdown-item display-4" href="page51.html" aria-expanded="false">W16 - Wild Card Week</a><a class="text-primary dropdown-item display-4" href="page62.html" aria-expanded="false">W17 - Final Project</a></div></li><li class="nav-item"><a class="nav-link link text-primary display-4" href="page1.html"><span class="mobi-mbri mobi-mbri-hot-cup mbr-iconfont mbr-iconfont-btn"></span>
                        
                        About Me</a></li><li class="nav-item"><a class="nav-link link text-primary display-4" href="https://gitlab.com/pablo.zuloaga/pablo.zuloaga" target="_blank"><span class="mobi-mbri mobi-mbri-target mbr-iconfont mbr-iconfont-btn"></span>
                        Gitlab Repo</a></li><li class="nav-item">
                    <a class="nav-link link text-primary display-4" href="page52.html"><span class="mbri-globe-2 mbr-iconfont mbr-iconfont-btn"></span>
                        Master Project</a>
                </li></ul>
            
        </div>
    </nav>
</section>

<section class="engine"><a href="https://mobirise.info/d">site maker</a></section><section class="mbr-section content5 cid-rYcrpDxx2L mbr-parallax-background" id="content5-nw">

    

    <div class="mbr-overlay" style="opacity: 0.5; background-color: rgb(35, 35, 35);">
    </div>

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center mbr-bold mbr-white pb-3 mbr-fonts-style display-1">
                    Fab Academy 12</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-white pb-3 mbr-fonts-style display-5">Interface and application programming</h3>
                
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section content4 cid-rYcrpEhulB" id="content4-nx">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2"><strong>Interface and Application programming:</strong></h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-7"><div style="text-align: left;"><span style="font-size: 1rem; text-align: center;">For this week, we needed to design an Interface or an APP to control some outputs in our board, or to be controlled by some inputs in our boards. An interface in basically the visualization in a screen that lets you control something or gather some information from something, that which you can actuate with through some buttons, sliders and more, or visualice what you are sensing through different kind of graphs.</span></div><br><div style="text-align: left;"><span style="font-size: 1rem; text-align: center;">From the plattforms we learnd, I experimented a little bit with the <strong>MIT APP inventor</strong> by creatting and APP to turn ON and OFF the R-G-B leds from and RGB single catod led. Then downloaded the APP in my phone and tablet and tried to control my NodeMCU with it.</span></div><br><div style="text-align: left;"><span style="font-size: 1rem; text-align: center;">I´m not going to go to much into deep in that one, because I basically followed Edus tutorial, and then twisted it a little bit to add more buttons, but I´m going to highlight some of the most important learnings I had from It.</span></div><br><div style="text-align: left;"><span style="font-size: 1rem; text-align: center;">I also tried to generate a visual interface that was controlled with a light sensor connected to my arduino or my mouse through the <strong>Processing APP</strong>, but what I did find more itneresting about this was the ammount of possibilities that processing gives you to do some creative coding and digital art. I really liked this APP a lot.</span></div><br><div style="text-align: left;"><span style="font-size: 1rem; text-align: center;">And my third experiment, which I´m going to talk more in deep in the Networking week, was designing a <strong>Dashboard</strong> through <strong>Node-RED</strong>, in which I can visualize and control some inputs and outputs, and is the one I think I might use for my final project.</span></div></h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section content4 cid-s0EOg9BbEr" id="content4-qu">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-1"><strong>MIT App Inventor:</strong></h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-7"><div><a href="http://appinventor.mit.edu/" target="_blank">MIT APP inventor</a> is an easy to use APP generator software developed by MIT, which basically works like a drag and drop software in which you add the functions you want, and then configure and program the functionalities in a MIT Sketch way.</div><br><div>For this I followed <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/site/local/#material/extras/week12/appinventor" target="_blank">Edus tutorial</a>&nbsp;for the App Inventor class and modified it.</div></h3>
                
            </div>
        </div>
    </div>
</section>

<section class="features11 cid-rYcrpEYYjz" id="features11-ny">

    

    

    <div class="container">   
        <div class="col-md-12">
            <div class="media-container-row">
                <div class="mbr-figure m-auto" style="width: 55%;">
                    <img src="assets/images/screen-shot-2020-06-26-at-8.26.54-pm-501x579.png" alt="ESP8266 12-E Chip Pinout" title="ESP8266 12-E Chip Pinout">
                </div>
                <div class=" align-left aside-content">
                    <h2 class="mbr-title pt-2 mbr-fonts-style display-5"><strong>ARDUINO CODE</strong></h2>
                    <div class="mbr-section-text">
                        
                    </div>

                    <div class="block-content">
                        <div class="card p-3 pr-3">
                            <div class="media">
                                     
                                <div class="media-body">
                                    
                                </div>
                            </div>                

                            <div class="card-box">
                                <p class="block-text mbr-fonts-style display-7"></p><p>The first thing I needed to do was to upload the code for the NodeMCU to connect to the WiFi, and declare in that code which are the ports I´m going to use as outputs, the serial BaudRate, and some instructions so that I can control the GPIO by simply accessing to <strong>HTTP server</strong>. So that deppending of how the website is written, it changes some predefined values.<br><br>One problem I had was that the starting code said I should load some libraries <strong>(WebServer.h, ESPmDNS.h)</strong> which I couldn´t find, so instead I uploades the <strong>ESP8266WiFi.h</strong> library, which made it work.</p><p>The Basic logic of how my <strong>HTTP serve</strong>r worked is like this, by declaring the amount of brightness you want for <strong>each led from 0 to 99</strong>:</p>* http://server_ip/rgb/<strong>rrggbb</strong>/<br> *    where <strong>rr</strong> is the value set <strong>RED</strong><br> *    where <strong>gg</strong> is the value set <strong>GREEN</strong><strong><br></strong>*    where <strong>bb</strong> is the value set <strong>BLUE</strong><br> *    then terminate with '<strong>/</strong>'<br><br>So if I would go to:<br><br>http://My_IP/rgb/<strong>99</strong>0000/<br><strong>(Red Led Will be turned On)</strong><br><br>http://My_IP/rgb/<strong>000000</strong>/<br>(<strong>All LEDs would be turned Off</strong>)<br><br><strong>MY CODE:</strong><br><a href="https://pablozuloaga.gitlab.io/pablo.zuloaga/files/ESP8266_HTTP_Server_RGB.ino" target="_blank">ESP8266_HTTP_Server_RGB.ino</a><br><p><a href="https://pablozuloaga.gitlab.io/pablo.zuloaga/files/ESP8266_AppInventor_WiFi_RGB_LED.ino">ESP8266_AppInventor_WiFi_RGB_LED.ino</a></p>
                            </div>
                        </div>

                        
                    </div>
                </div>
            </div>
        </div> 
    </div>          
</section>

<section class="cid-s0EO9I1Ef8" id="image3-qt">

    

    <figure class="mbr-figure container">
            <div class="image-block" style="width: 80%;">
                <img src="assets/images/screen-shot-2020-06-01-at-12.26.35-pm-1280x644.png" width="1400" alt="Mobirise" title="">
                
            </div>
    </figure>
</section>

<section class="mbr-section content4 cid-s0F0SK87WU" id="content4-qv">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">MIT APP INVENTOR<br>DESIGN VIEW:</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-7"><div>The <a href="http://appinventor.mit.edu/" target="_blank">MIT App Inventor</a> is really easy to use, you just need to create a new project, define the size of the screen and start dragging the content into it.</div><br><div>In the <strong>DESIGN tab</strong>, is where you select all the content you want your APP to have like the buttons, the text, the title, images and more.</div><br><div>You have some <strong>Horizontal and Vertical arrangements</strong> in the <strong>LAYOUT tab</strong> that help you organice the content as you wish, and then drag the content into them.</div><br><div>One important thing if you want it to work with an <strong>HTTP server</strong> is to add a <strong>WEB </strong>option in the end of your design, <strong>from the CONNECTIVITY options in the left</strong>, and select to which IP you want it to connect, in this case is my IP, <strong>the same I declared in the Arduino Code</strong>. You could also use the options to connect it through serial or bluethoot, deppending of what you want to do.</div></h3>
                
            </div>
        </div>
    </div>
</section>

<section class="cid-s0F3Q2ywXu" id="image3-qw">

    

    <figure class="mbr-figure container">
            <div class="image-block" style="width: 80%;">
                <img src="assets/images/screen-shot-2020-06-01-at-2.06.30-pm-1280x687.png" width="1400" alt="Mobirise" title="">
                
            </div>
    </figure>
</section>

<section class="mbr-section content4 cid-s0F3Vjap89" id="content4-qx">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">MIT APP INVENTOR<div>BLOCKS VIEW:</div></h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-7"><div>The blocks view is where you code and configure the logics of your APP. It contains a lot of options, but one nice thing is that in the left side menu, it gives you the specific options you could control for all the elements you have allready added in the design stage.</div><br><div>Basically the sketch code I created what does is:</div><br><div><strong>WHEN (color) BUTTON ON IS PRESSED:</strong><br>&nbsp; &nbsp; <strong>SET THE WEB URL</strong> TO BE THE ONE DECLARED IN ARDUINO CODE TO TURN ON<br>&nbsp; &nbsp; <strong>CALL WEB GET</strong></div><br><div><strong>RED ON:</strong><br>http://MY-IP/rgb/<strong>99</strong>0000/</div><br><div><strong>GREEN ON:</strong></div><div>http://MY-IP/rgb/00<strong>99</strong>00/</div><br><div><strong>BLUE ON:</strong></div><div>http://MY-IP/rgb/0000<strong>99</strong>/</div><br><div><strong>ALL OFF:</strong></div><div>http://MY-IP/rgb/<strong>000000</strong>/</div><div><br></div><div>And the same process happens when I want to set it off.</div><br><div>When you are using a HTTP server, an other way to controll it is to just <strong>writte the HTTP instruction in your browser</strong>, and that will actuate in yout arduino (if it is connected to the web). But doing it directly from the web, I can even add more than this 3 options, since the arduino has allready been coded to respond from values from 0-99, what will give me a wider range of values.</div><br><div><strong>For Example:</strong></div><div>http://MY-IP/rgb/<strong>552010</strong>/</div><div><br></div></h3>
                
            </div>
        </div>
    </div>
</section>

<section class="cid-s32QQmdmz4" id="video3-yh">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 85%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/Tr2_ojheOhM?rel=0&amp;amp;showinfo=0&amp;autoplay=1&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-s32R3sgZhW" id="content4-yi">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-1"><strong>Prossesing:</strong></h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-7"><div><a href="https://processing.org/" target="_blank">Processing</a>&nbsp;is a really interesting App to do creative coding. It gives you a lot of posibilities to visualize different thingg through coding. You can visualize a sensor, the mouse movement or other interactions. I find it really interesting for artistic purpouses.</div><br><div>For this I followed <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/site/local/#material/extras/week12/processing" target="_blank">Josep Tutorials</a>&nbsp;for Processing class and mixed and modified them. Ans also did some other tutorials I found on internet or in the software examples.</div></h3>
                
            </div>
        </div>
    </div>
</section>

<section class="features11 cid-s337Fkd7vT" id="features11-yn">

    

    

    <div class="container">   
        <div class="col-md-12">
            <div class="media-container-row">
                <div class="mbr-figure m-auto" style="width: 60%;">
                    <img src="assets/images/screen-shot-2020-06-26-at-9.59.15-pm-585x723.png" alt="Mobirise" title="">
                </div>
                <div class=" align-left aside-content">
                    <h2 class="mbr-title pt-2 mbr-fonts-style display-5">LDR Sensor Growing Ball:</h2>
                    <div class="mbr-section-text">
                        
                    </div>

                    <div class="block-content">
                        <div class="card p-3 pr-3">
                            <div class="media">
                                     
                                <div class="media-body">
                                    <h4 class="card-title mbr-fonts-style display-7"><div>DESCRIPTION:</div></h4>
                                </div>
                            </div>                

                            <div class="card-box">
                                <p class="block-text mbr-fonts-style display-7">For this project I mixed some learning I had from the &nbsp;Josep tutorials, mixing the bouncing ball and the sensor read in one, and addig them some color changes.<br><br>This code makes a ball that grows and changes colors deppending on the LDR sensor reading.</p>
                            </div>
                        </div>

                        <div class="card p-3 pr-3">
                            <div class="media">
                                     
                                <div class="media-body">
                                    <h4 class="card-title mbr-fonts-style display-7"><strong><a href="https://pablozuloaga.gitlab.io/pablo.zuloaga/files/sensor_read_sphere.pde" target="_blank">PROCESSING CODE (link)</a></strong></h4>
                                </div>
                            </div>                

                            <div class="card-box">
                                <p class="block-text mbr-fonts-style display-7"><a href="https://pablozuloaga.gitlab.io/pablo.zuloaga/files/LDR_Sensor.ino">ARDUINO CODE (link)</a></p><p></p><p></p><p><servo.h><servo.h></servo.h></servo.h></p><p></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>          
</section>

<section class="cid-rYcrpJPBY7" id="video3-o3">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 85%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/f6zzp0vNJ_g?rel=0&amp;amp;showinfo=0&amp;autoplay=1&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="features11 cid-s32WaZR5MB" id="features11-yl">

    

    

    <div class="container">   
        <div class="col-md-12">
            <div class="media-container-row">
                <div class="mbr-figure m-auto" style="width: 60%;">
                    <img src="assets/images/screen-shot-2020-06-26-at-9.07.43-pm-617x721.png" alt="Mobirise" title="">
                </div>
                <div class=" align-left aside-content">
                    <h2 class="mbr-title pt-2 mbr-fonts-style display-5">3D Flying Mouse Map</h2>
                    <div class="mbr-section-text">
                        
                    </div>

                    <div class="block-content">
                        <div class="card p-3 pr-3">
                            <div class="media">
                                     
                                <div class="media-body">
                                    <h4 class="card-title mbr-fonts-style display-7"><div>DESCRIPTION:</div></h4>
                                </div>
                            </div>                

                            <div class="card-box">
                                <p class="block-text mbr-fonts-style display-7">For this project I followed a tutorial I found on the itnernet and mixed some learning I had from the initial Processing tutorials that appear on their page an Josep tutorial.<br><br>This code makes a 3D frlying map visualization that changes with the mouse.</p>
                            </div>
                        </div>

                        <div class="card p-3 pr-3">
                            <div class="media">
                                     
                                <div class="media-body">
                                    <h4 class="card-title mbr-fonts-style display-7"><strong><a href="https://pablozuloaga.gitlab.io/pablo.zuloaga/files/mapa_movimiento_rgb.pde" target="_blank">MY CODE (link):</a></strong></h4>
                                </div>
                            </div>                

                            <div class="card-box">
                                <p class="block-text mbr-fonts-style display-7"><a href="https://www.youtube.com/watch?v=IKB1hWWedMk" target="_blank">TUTORIAL LINK</a></p><p></p><p></p><p><servo.h><servo.h></servo.h></servo.h></p><p></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>          
</section>

<section class="cid-s3320Gbk5h" id="video3-ym">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 85%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/VQ7idXDQR7U?rel=0&amp;amp;showinfo=0&amp;autoplay=1&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="cid-rYcrpKoGTH mbr-reveal" id="footer5-o4">

    

    

    <div class="container">
        <div class="media-container-row">
            <div class="col-md-3">
                <div class="media-wrap">
                    
                       <img src="assets/images/tatuaje-palmera-pitaya-192x284.png" alt="Voltio" title="Pablo Zuloaga Betancourt">
                    
                </div>
            </div>
            <div class="col-md-9">
                <p class="mbr-text align-right links mbr-fonts-style display-7">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</p>
            </div>
        </div>
        <div class="footer-lower">
            <div class="media-container-row">
                <div class="col-md-12">
                    <hr>
                </div>
            </div>
            <div class="media-container-row mbr-white">
                <div class="col-md-6 copyright">
                    <p class="mbr-text mbr-fonts-style display-7">
                        © Copyright 2019 - 2020 Voltio - All Rights Reserved
                    </p>
                </div>
                <div class="col-md-6">
                    
                </div>
            </div>
        </div>
    </div>
</section>


  <script src="assets/web/assets/jquery/jquery.min.js"></script>
  <script src="assets/popper/popper.min.js"></script>
  <script src="assets/bootstrap/js/bootstrap.min.js"></script>
  <script src="assets/smoothscroll/smooth-scroll.js"></script>
  <script src="assets/dropdown/js/nav-dropdown.js"></script>
  <script src="assets/dropdown/js/navbar-dropdown.js"></script>
  <script src="assets/tether/tether.min.js"></script>
  <script src="assets/viewportchecker/jquery.viewportchecker.js"></script>
  <script src="assets/parallax/jarallax.min.js"></script>
  <script src="assets/touchswipe/jquery.touch-swipe.min.js"></script>
  <script src="assets/theme/js/script.js"></script>
  
  
 <div id="scrollToTop" class="scrollToTop mbr-arrow-up"><a style="text-align: center;"><i class="mbr-arrow-up-icon mbr-arrow-up-icon-cm cm-icon cm-icon-smallarrow-up"></i></a></div>
    <input name="animation" type="hidden">
  </body>
</html>